Name:           deletemail
Version:        0.5
Release:        16%{?dist}
Summary:        A non-interactive tool for deleting mails

License:        MIT
URL:            http://www.jhweiss.de/software/deletemail.html
Source0:        ftp://ftp.jhweiss.de/pub/users/weiss/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  openssl-devel

%description
deletemail is a non-interactive tool for removing mail which is older
than a configurable number of days from one or more IMAP mailboxes. By
default, mail which is not marked as seen on the server will not be
deleted. If, for example, fetchmail is used for receiving mail from an
IMAP server, deletemail might be useful, since fetchmail deletes mail
either immediately or not at all. Thus, you could use fetchmails keep
option (so that fetchmail never deletes anything) and let deletemail
handle the removal of mail. Currently, the IMAP4 and IMAP4rev1 protocols
are supported, optionally using SSL/TLS for secure IMAP connections.

%prep
%setup -q

%build 
%configure
make %{?_smp_mflags} 

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS ChangeLog NEWS README TODO deletemailrc.example
%license COPYING
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
* Fri Feb 05 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-16
- Spec file updated

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-10
- Spec file updated

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.5-5
- rebuilt with new openssl

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.5-4
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5-1
- Initial package for Fedora
